# Class BimObjectAttribute

##### Index

### Constructors

constructor

### Properties

name
value

## Constructors

### constructor

- new BimObjectAttribute(
  name: string,
  value: BimObjectAttributeValue,
  ): BimObjectAttribute

  #### Parameters

  - name: string
  - value: BimObjectAttributeValue

  #### Returns BimObjectAttribute

## Properties

### `Readonly` name

name: string

### `Readonly` value

value: BimObjectAttributeValue